## ros-foxy-webots-ros2-importer 2023.0.2

=== webots_ros2_importer/urdf2webots/requirements.txt ===
Pillow
numpy
rospkg

=== webots_ros2_importer/urdf2webots/tests/requirements.txt ===
pycodestyle
pyflakes

=== webots_ros2_importer/urdf2webots/tests/sources/motoman/motoman/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(motoman)
find_package(catkin REQUIRED)
catkin_metapackage()

=== webots_ros2_importer/urdf2webots/tests/sources/motoman/motoman_driver/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(motoman_driver)

# Load catkin and all dependencies required for this package
find_package(
  catkin
  REQUIRED COMPONENTS
    actionlib
    actionlib_msgs
    control_msgs
    industrial_msgs
    industrial_robot_client
    industrial_utils
    motoman_msgs
    roscpp
    sensor_msgs
    simple_message
    std_msgs
    std_srvs
    trajectory_msgs
    urdf
)

find_package(Boost REQUIRED COMPONENTS system thread)

#######################################
## Adding directories and definitions #
#######################################
include_directories(
  include
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS})

add_definitions(-DLINUXSOCKETS=1)  #use linux sockets for communication
add_definitions(-DROS=1)

catkin_package(
  CATKIN_DEPENDS
    actionlib
    actionlib_msgs
    control_msgs
    industrial_msgs
    industrial_robot_client
    industrial_utils
    motoman_msgs
    roscpp
    sensor_msgs
    simple_message
    std_msgs
    std_srvs
    trajectory_msgs
    urdf
  INCLUDE_DIRS
    include
)


set(MSG_SRC_FILES
  src/simple_message/messages/motoman_read_single_io_message.cpp
  src/simple_message/messages/motoman_read_single_io_reply_message.cpp
  src/simple_message/messages/motoman_write_single_io_message.cpp
  src/simple_message/messages/motoman_write_single_io_reply_message.cpp
  src/simple_message/motoman_motion_ctrl.cpp
  src/simple_message/motoman_motion_ctrl_message.cpp
  src/simple_message/motoman_motion_reply.cpp
  src/simple_message/motoman_motion_reply_message.cpp
  src/simple_message/motoman_read_single_io.cpp
  src/simple_message/motoman_read_single_io_reply.cpp
  src/simple_message/motoman_write_single_io.cpp
  src/simple_message/motoman_write_single_io_reply.cpp
)

set(CLIENT_SRC_FILES
  src/industrial_robot_client/joint_feedback_ex_relay_handler.cpp
  src/industrial_robot_client/joint_feedback_relay_handler.cpp
  src/industrial_robot_client/joint_relay_handler.cpp
  src/industrial_robot_client/joint_trajectory_interface.cpp
  src/industrial_robot_client/joint_trajectory_streamer.cpp
  src/industrial_robot_client/motoman_utils.cpp
  src/industrial_robot_client/robot_state_interface.cpp
  src/simple_message/joint_feedback_ex.cpp
  src/simple_message/joint_traj_pt_full_ex.cpp
  src/simple_message/messages/joint_feedback_ex_message.cpp
  src/simple_message/messages/joint_traj_pt_full_ex_message.cpp
)


###########
## Build ##
###########

#-------------------------------------------------------------
# dx100 uses same byte-ordering as most i386-based PCs

# Simple message library
add_library(motoman_simple_message ${MSG_SRC_FILES})
target_link_libraries(motoman_simple_message
  simple_message)

# Industrial client library
add_library(motoman_industrial_robot_client ${CLIENT_SRC_FILES})
target_link_libraries(motoman_industrial_robot_client
  industrial_robot_client
  industrial_utils)
add_dependencies(motoman_industrial_robot_client ${catkin_EXPORTED_TARGETS})

# Robot state node
add_executable(motoman_robot_state
  src/robot_state_node.cpp)
target_link_libraries(motoman_robot_state
  motoman_simple_message
  motoman_industrial_robot_client
  ${catkin_LIBRARIES})
set_target_properties(motoman_robot_state
  PROPERTIES OUTPUT_NAME robot_state
  PREFIX "")

# Motion streaming node
add_executable(motoman_motion_streaming_interface
  src/joint_streaming_node.cpp
  src/joint_trajectory_streamer.cpp
  src/motion_ctrl.cpp)
target_link_libraries(motoman_motion_streaming_interface
  motoman_simple_message
  motoman_industrial_robot_client
  ${catkin_LIBRARIES})
set_target_properties(motoman_motion_streaming_interface
  PROPERTIES OUTPUT_NAME motion_streaming_interface
  PREFIX "")


#----------------------------------------------------------------
# FS100 uses opposite byte-ordering from most i386-based PCs
# Simple message library
add_library(motoman_simple_message_bswap ${MSG_SRC_FILES})
set_target_properties(motoman_simple_message_bswap PROPERTIES COMPILE_DEFINITIONS "BYTE_SWAPPING")
target_link_libraries(motoman_simple_message_bswap
  simple_message_bswap)

# Industrial client library
add_library(motoman_industrial_robot_client_bswap ${CLIENT_SRC_FILES})
set_target_properties(motoman_industrial_robot_client_bswap PROPERTIES COMPILE_DEFINITIONS "BYTE_SWAPPING")
target_link_libraries(motoman_industrial_robot_client_bswap
  industrial_robot_client_bswap
  industrial_utils)
add_dependencies(motoman_industrial_robot_client_bswap ${catkin_EXPORTED_TARGETS})

# Robot state node
add_executable(motoman_robot_state_bswap
  src/robot_state_node.cpp)
target_link_libraries(motoman_robot_state_bswap
  motoman_simple_message_bswap
  motoman_industrial_robot_client_bswap
  ${catkin_LIBRARIES})
set_target_properties(motoman_robot_state_bswap
  PROPERTIES OUTPUT_NAME robot_state_bswap
  PREFIX "")

# Motion streaming node
add_executable(motoman_motion_streaming_interface_bswap
  src/joint_streaming_node.cpp
  src/joint_trajectory_streamer.cpp
  src/motion_ctrl.cpp)
target_link_libraries(motoman_motion_streaming_interface_bswap
  motoman_simple_message_bswap
  motoman_industrial_robot_client_bswap
  ${catkin_LIBRARIES})
set_target_properties(motoman_motion_streaming_interface_bswap
  PROPERTIES OUTPUT_NAME motion_streaming_interface_bswap
  PREFIX "")

add_executable(${PROJECT_NAME}_joint_trajectory_action
  src/industrial_robot_client/joint_trajectory_action.cpp
  src/joint_trajectory_action_node.cpp)
target_link_libraries(${PROJECT_NAME}_joint_trajectory_action
  industrial_robot_client
  motoman_industrial_robot_client
  ${catkin_LIBRARIES})


#############
## Install ##
#############

# binaries
install(TARGETS
  ${PROJECT_NAME}_joint_trajectory_action
  motoman_motion_streaming_interface
  motoman_motion_streaming_interface_bswap
  motoman_robot_state
  motoman_robot_state_bswap

  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# libraries
install(TARGETS
  motoman_industrial_robot_client
  motoman_industrial_robot_client_bswap
  motoman_simple_message
  motoman_simple_message_bswap

  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

# headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# other files
install(DIRECTORY
    Inform
    launch
    MotoPlus
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(PROGRAMS src/move_to_joint.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})


#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  roslint_cpp()
endif()

=== webots_ros2_importer/urdf2webots/tests/sources/motoman/motoman_gp12_support/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(motoman_gp12_support)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(test/launch_test.xml)
endif()

install(DIRECTORY config launch meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== webots_ros2_importer/urdf2webots/tests/sources/motoman/motoman_gp7_support/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(motoman_gp7_support)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(test/launch_test.xml)
endif()

install(DIRECTORY config launch meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== webots_ros2_importer/urdf2webots/tests/sources/motoman/motoman_gp8_support/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(motoman_gp8_support)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(test/launch_test.xml)
endif()

install(DIRECTORY config launch meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== webots_ros2_importer/urdf2webots/tests/sources/motoman/motoman_mh12_support/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(motoman_mh12_support)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY config launch meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== webots_ros2_importer/urdf2webots/tests/sources/motoman/motoman_mh50_support/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(motoman_mh50_support)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(test/launch_test.xml)
endif()

install(DIRECTORY config launch meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== webots_ros2_importer/urdf2webots/tests/sources/motoman/motoman_mh5_support/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(motoman_mh5_support)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(test/launch_test.xml)
endif()

install(DIRECTORY config launch meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== webots_ros2_importer/urdf2webots/tests/sources/motoman/motoman_motomini_support/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(motoman_motomini_support)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(test/launch_test.xml)
endif()

install(DIRECTORY config launch meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== webots_ros2_importer/urdf2webots/tests/sources/motoman/motoman_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(motoman_msgs)

find_package(catkin
  REQUIRED COMPONENTS
    industrial_msgs
    message_generation
    std_msgs
    trajectory_msgs
)

add_message_files(
  DIRECTORY
    msg
  FILES
    DynamicJointPoint.msg
    DynamicJointsGroup.msg
    DynamicJointState.msg
    DynamicJointTrajectory.msg
    DynamicJointTrajectoryFeedback.msg
)

add_service_files(
  DIRECTORY
    srv
  FILES
    CmdJointTrajectoryEx.srv
)

generate_messages(
  DEPENDENCIES
    industrial_msgs
    std_msgs
    trajectory_msgs
)

catkin_package(
    CATKIN_DEPENDS
      industrial_msgs
      message_runtime
      std_msgs
      trajectory_msgs
)

=== debian/changelog ===
ros-foxy-webots-ros2-importer (2023.0.2-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Cyberbotics <support@cyberbotics.com>  Tue, 07 Feb 2023 10:57:56 -0000

ros-foxy-webots-ros2-importer (2022.1.4-1focal) focal; urgency=high

  * Upgraded to urdf2webots 2.0.3

 -- Cyberbotics <support@cyberbotics.com>  Thu, 17 Nov 2022 23:00:00 -0000

ros-foxy-webots-ros2-importer (2022.1.1-1focal) focal; urgency=high

  * Upgraded to urdf2webots 2.0.2

 -- Cyberbotics <support@cyberbotics.com>  Mon, 10 Oct 2022 22:00:00 -0000

ros-foxy-webots-ros2-importer (2022.1.0-1focal) focal; urgency=high

  * Upgraded to urdf2webots 2.0.0

 -- Cyberbotics <support@cyberbotics.com>  Thu, 22 Sep 2022 22:00:00 -0000

ros-foxy-webots-ros2-importer (1.2.3-1focal) focal; urgency=high

  * Upgraded to urdf2webots 1.0.18

 -- Cyberbotics <support@cyberbotics.com>  Sun, 29 May 2022 22:00:00 -0000

ros-foxy-webots-ros2-importer (1.1.0-1focal) focal; urgency=high

  * Upgraded to urdf2webots 1.0.10

 -- Cyberbotics <support@cyberbotics.com>  Sun, 18 Jul 2021 22:00:00 -0000

ros-foxy-webots-ros2-importer (1.0.0-1focal) focal; urgency=high

  * Added the '--multi-file', '--static-base', '--tool-slot' and '--rotation' arguments.

 -- Cyberbotics <support@cyberbotics.com>  Mon, 31 Aug 2020 22:00:00 -0000

ros-foxy-webots-ros2-importer (0.0.3-1focal) focal; urgency=high

  * Initial version

 -- Cyberbotics <support@cyberbotics.com>  Sun, 14 Jun 2020 22:00:00 -0000

=== debian/control ===
Source: ros-foxy-webots-ros2-importer
Section: misc
Priority: optional
Maintainer: Cyberbotics <support@cyberbotics.com>
Build-Depends: debhelper (>= 9.0.0), python3-numpy <!nocheck>, python3-pil <!nocheck>, python3-pycodestyle <!nocheck>, python3-pytest <!nocheck>, ros-foxy-ament-copyright <!nocheck>, ros-foxy-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: http://wiki.ros.org/webots_ros2
Standards-Version: 3.9.2

Package: ros-foxy-webots-ros2-importer
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-collada, python3-lark, ros-foxy-builtin-interfaces, ros-foxy-xacro, ros-foxy-ros-workspace
Description: This package allows to convert URDF and XACRO files into Webots PROTO files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Python package installation variables
export PYBUILD_INSTALL_ARGS=--prefix "/opt/ros/foxy" \
	--install-lib "\$$base/lib/{interpreter}/site-packages" \
	

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=pybuild --with python3 --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-webots-ros2-importer//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
